.project-edit-container
  .project-edit-errors
    = render 'projects/errors'
  .project-edit-content

    = form_for @project, remote: true, html: { class: 'new_project form-horizontal' } do |f|
      .form-group.project-name-holder
        = f.label :name, class: 'control-label' do
          %strong= t("projects_section.global.project_name")
        .col-sm-10
          = f.text_field :name, placeholder: t("projects_section.global.example_project"), class: "form-control", tabindex: 1, autofocus: true

      - if current_user.can_select_namespace?
        .form-group
          = f.label :namespace_id, class: 'control-label' do
            %span= t("projects_section.global.namespace")
          .col-sm-10
            = f.select :namespace_id, namespaces_options(params[:namespace_id] || :current_user), {}, {class: 'select2', tabindex: 2}

      %hr
      .js-toggle-container
        .form-group
          .col-sm-2
          .col-sm-10
            = link_to "#", class: 'js-toggle-button' do
              %i.icon-edit
              %span= t("projects_section.global.customize")
        .js-toggle-content.hide
          .form-group
            = f.label :path, class: 'control-label' do
              %span= t("projects_section.global.repo_name")
            .col-sm-10
              .input-group
                = f.text_field :path, class: 'form-control'
                %span.input-group-addon .git

      .js-toggle-container
        .form-group
          .col-sm-2
          .col-sm-10
            = link_to "#", class: 'js-toggle-button' do
              %i.icon-upload-alt
              %span= t("projects_section.global.import_existing_repo_q")
        .js-toggle-content.hide
          .form-group.import-url-data
            = f.label :import_url, class: 'control-label' do
              %span= t("projects_section.global.import_existing_repo")
            .col-sm-10
              = f.text_field :import_url, class: 'form-control', placeholder: 'https://github.com/randx/six.git'
              .bs-callout.bs-callout-info
                = t("projects_section.global.accessible_url")
                %br
                = t("projects_section.global.time_out_import")
      %hr

      .form-group
        = f.label :description, class: 'control-label' do
          = t("projects_section.global.description")
          %span.light (optional)
        .col-sm-10
          = f.text_area :description, placeholder: t("projects_section.global.awesome_project"), class: "form-control", rows: 3, maxlength: 250, tabindex: 3
      = render "visibility_level", f: f, visibility_level: gitlab_config.default_projects_features.visibility_level, can_change_visibility_level: true

      .form-actions
        = f.submit t("projects_section.global.create_project"), class: "btn btn-create project-submit", tabindex: 4

        - if current_user.can_create_group?
          .pull-right
            .light
              = t("projects_section.global.need_a_group_for_several_projects")
              = link_to new_group_path, class: "btn btn-tiny" do
                = t("projects_section.global.create_group")

.save-project-loader.hide
  %center
    %h2
      %i.icon-spinner.icon-spin
      = t("projects_section.global.creating_project_repo")
    %p= t("projects_section.global.please_wait_a_moment")
